[master] b41d4bea0 vtest: git-clean the tree

Nils Goroll nils.goroll at uplex.de
Tue Jul 28 12:20:08 UTC 2020


commit b41d4bea0b840a9f593e0491aaa5b0d1fbfd3bea
Author: Nils Goroll <nils.goroll at uplex.de>
Date:   Tue Jul 28 14:17:52 2020 +0200

    vtest: git-clean the tree
    
    Some mistake in the previous commits has left vtest maschine's tree in
    an unclean state with bad symlinks.
    
    Try to avoid such issues in the future.

diff --git a/tools/vtest.sh b/tools/vtest.sh
index de1464118..88e853f80 100755
--- a/tools/vtest.sh
+++ b/tools/vtest.sh
@@ -217,6 +217,7 @@ do
 	i=$((i + 1))
 
 	(cd "${SRCDIR}" && git reset --hard > /dev/null 2>&1 || true)
+	(cd "${SRCDIR}" && git clean -df > /dev/null 2>&1 || true)
 	(cd "${SRCDIR}" && git pull > /dev/null 2>&1 || true)
 	rev=`cd "${SRCDIR}" && git show -s --pretty=format:%H`
 	if [ "${waitnext}" -gt 0 -a "x${rev}" = "x${orev}" ] ; then
@@ -235,7 +236,7 @@ do
 	rm -rf "${REPORTDIR}"
 	mkdir "${REPORTDIR}"
 
-	echo "VTEST 1.04" > ${VTEST_REPORT}
+	echo "VTEST 1.05" > ${VTEST_REPORT}
 	echo "DATE `date +%s`" >> ${VTEST_REPORT}
 	echo "BRANCH trunk" >> ${VTEST_REPORT}
 	echo "HOST `hostname`" >> ${VTEST_REPORT}


More information about the varnish-commit mailing list